Skip to main content

iPhone/iPad and iTouch

Cisco AnyConnect Secure Mobility Client 2.5.x, for Apple iOS

Latest Release of Cisco AnyConnect Client for Apple iOS: 2.5.4049

App Store download instructions:


Updated: December 1, 2011

These release notes provide only Apple iOS-specific information for the Cisco Secure Mobility client. This document supplements the Cisco AnyConnect Administrator Guides. You can deploy later releases of AnyConnect for other devices simultaneously with this release.

This release of AnyConnect provides remote users with secure VPN connections to the Cisco ASA 5500 Series using the Secure Socket Layer (SSL) protocol and the Datagram TLS (DTLS) protocol.

This release provides seamless and secure remote access to enterprise networks. The client provides a full tunneling experience that allows any installed application to communicate as though connected directly to the enterprise network. It runs on the Apple iPhone, iPad, and iTouch and supports connections to IPv4 and IPv6 resources over an IPv4 network tunnel. The client installation software is available on the Apple iTunes App Store. The App store provides all AnyConnect for Apple iOS distributions and updates. http://itunes.apple.com/gb/app/cisco-anyconnect/id392790924?mt=8

What's New in Version 2.5.4049

Please disconnect your VPN connection before upgrading. If you do not, you will need to reboot your device before the upgrade takes effect.

AnyConnect 2.5.4049 is a hot fix release that addresses the following issues:

- Fixed issue where the client could prematurely disconnect when idle for long periods of time
- Fixed connection stability issue on iPhone 4S and iPad 2 devices.
- Fixed memory corruption / leak when processing certain types of DNS packets.
- Fixed occasional disconnects due to interface drop.
- Changed URL for about screen user guide to new location on cisco.com.

Special thanks to the users that reached out to us on Twitter to report issues!

Apple iOS Devices Supported

This release supports the following Apple devices:

Device
Apple iOS Release Required

iPad WiFi and 3G

4.2.1 or later

iPad 2 WiFi and 3G

4.2.1 or later

iPhone 3G

4.1 or later

iPhone 3GS

4.1 or later

iPhone 4

4.1 or later

iPhone 4S

5.0 or later

iPod Touch (2nd Generation or later)

4.1 or later

AnyConnect requires Requires iOS 4.1 or later.